## ros-melodic-warthog-gazebo 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(warthog_gazebo)
set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")

find_package(catkin REQUIRED COMPONENTS
  gazebo_ros
  roscpp
  roslaunch
)

find_package(gazebo REQUIRED)

catkin_package(
  CATKIN_DEPENDS gazebo_ros roscpp
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${GAZEBO_INCLUDE_DIRS}
)

add_library(warthog_suspension_plugin SHARED
   src/warthog_suspension_plugin.cpp
)

target_link_libraries(warthog_suspension_plugin
  ${catkin_LIBRARIES}
  ${GAZEBO_LIBRARIES}
  ${Boost_LIBRARIES}
)

install(TARGETS warthog_suspension_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY launch worlds
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

roslaunch_add_file_check(launch/warthog_world.launch)

=== debian/changelog ===
ros-melodic-warthog-gazebo (0.2.1-1stretch) stretch; urgency=high

  * Add yaw to the arguments for spawn_warthog
  * Moved spawning into a specific launch, so this is more portable to other packages
  * Include the same playpen world that we use with the Moose & use it as the warthog_world's map.  Add additional launch files for the race world & empty world
  * Contributors: Chris I-B, Chris Iverach-Brereton, Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 14 Aug 2020 04:00:00 -0000

ros-melodic-warthog-gazebo (0.2.0-1stretch) stretch; urgency=high

  * [warthog_gazebo] Updated for Gazebo 9.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 02 Aug 2019 04:00:00 -0000

ros-melodic-warthog-gazebo (0.1.0-1stretch) stretch; urgency=high

  * Set a blank default world
  * Re added world selection in gazebo launch
  * Removed unnecessary laser argument in world launch
  * Added C11 compiling
  * [warthog_gazebo] Updated joint names.
  * Initial commit.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 02 Aug 2019 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-warthog-gazebo
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-ros, ros-melodic-roscpp, ros-melodic-roslaunch
Homepage: http://wiki.ros.org/warthog_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-warthog-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-hector-gazebo-plugins, ros-melodic-joint-state-publisher, ros-melodic-roscpp, ros-melodic-warthog-control, ros-melodic-warthog-description
Description: Launchfiles to use Warthog in Gazebo.

## ros-melodic-warthog-gazebo 0.2.2

=== debian/changelog ===
ros-melodic-warthog-gazebo (0.2.2-2bionic) bionic; urgency=high

  * Use the new arg added in warthog_control to always enable the game controller input when using Gazebo.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-melodic-warthog-gazebo (0.2.1-2bionic) bionic; urgency=high

  * Add yaw to the arguments for spawn_warthog
  * Moved spawning into a specific launch, so this is more portable to other packages
  * Include the same playpen world that we use with the Moose & use it as the warthog_world's map.  Add additional launch files for the race world & empty world
  * Contributors: Chris I-B, Chris Iverach-Brereton, Dave Niewinski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 14 Aug 2020 04:00:00 -0000

ros-melodic-warthog-gazebo (0.2.0-2bionic) bionic; urgency=high

  * [warthog_gazebo] Updated for Gazebo 9.
  * Contributors: Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 02 Aug 2019 04:00:00 -0000

ros-melodic-warthog-gazebo (0.1.0-2bionic) bionic; urgency=high

  * Set a blank default world
  * Re added world selection in gazebo launch
  * Removed unnecessary laser argument in world launch
  * Added C11 compiling
  * [warthog_gazebo] Updated joint names.
  * Initial commit.
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 02 Aug 2019 04:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-warthog-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
